RZ_AX(1)

NAME
rz-ax - rizin base converter

SYNOPSIS
rz-ax [-ebBsSvxkKh] [[expr] ...]

DESCRIPTION
This command is part of the rizin project.

This command allows you to convert values between positive and negative integer, float, octal, binary and hexadecimal values.

OPTIONS

-b  Convert from binary string to character (rz-ax -b 01000101)

-k  Keep the same base as the input data

-e  Swap endian.

-F  Read C strings from stdin and output in hexpairs. Useful to load shellcodes

-i  Dump stdin to C array in stdout (xxd replacement)

-I  Convert LONG to/from IP ADDRESS

-l  Append newline to the decoded output for human friendly-ness

-K  Show randomart key asciiart for values or hexpairs

-s  Convert from hex string to character (rz-ax -s 43 4a 50)

-S  Convert from character to hex string (rz-ax -S C J P)

-n  Show hexpairs from integer value

-N  Show hexadecimal C string from integer value

-u  Convert given value to human readable units format

-v  Show program version

-x  Convert a string into a hash

-h  Show usage help message

-o  Convert from octal string to char (rz-ax -o 162 62)

USAGE

Force output mode (numeric base)

=f floating point =2 binary =3 ternary =8 octal =10 decimal =16 hexadecimal

Available variable types are:

int -> hex rz-ax 10 hex -> int rz-ax 0xa -int -> hex rz-ax -77 -hex -> int rz-ax 0xffffffb3 int -> bin rz-ax b30 bin -> int rz-ax 1010d float -> hex rz-ax 3.33f hex -> float rz-ax Fx40551ed8 oct -> hex rz-ax 35o hex -> oct rz-ax Ox12 (O is a letter) bin -> hex rz-ax 1100011b hex -> bin rz-ax Bx63

With no arguments, rz-ax reads values from stdin. You can pass one or more values as arguments.

$ rz-ax 33 0x41 0101b 0x21 65 0x5

You can do 'unpack' hexpair encoded strings easily.

$ rz-ax -s 41 42 43 ABC

And it supports some math operations.

$ rz-ax 0x5*101b+5 30

It is a very useful tool for scripting, so you can read floating point values, or get the integer offset of a jump or a stack delta when analyzing programs.

SEE ALSO

rizin(1), rz-hash(1), rz-find(1), rz-bin(1), rz-diff(1), rz-gg(1), rz-run(1), rz-asm(1)

AUTHORS

Written by pancake <pancake@nopcode.org>.